let store = {
  state: {},
  set(name, value) {
    this.state[name] = value;
  },
  get(name) {
    return this.state[name];
  },
  clear(name) {
    this.state[name] = null;
  },
  remove(name) {
    if (name) {
      delete this.state[name];
    } else {
      this.state = {};
    }
  }
};
window.__store = store;
export default store;
